---
title: '::cue-region'
slug: 'Web/CSS/::cue-region'
tags:
  - '::cue-region'
  - CSS
  - Media
  - Pseudo-element
  - Reference
  - Selector
  - Web Video Text Tracks
  - WebVTT
---
<p>{{CSSRef}}{{Draft}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>::cue-region</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> matches {{DOMxRef("WebVTT API", "WebVTT", "", 1)}} cues within a selected element. This can be used to <a href="/docs/Web/API/WebVTT_API#Styling_WebTT_cues">style captions and other cues</a> in media with VTT tracks.</span></p>

<pre class="brush: css; no-line-numbers notranslate">::cue-region {
  color: yellow;
  font-weight: bold;
}</pre>

<p>The properties are applied to the entire set of cues as if they were a single unit. The only exception is that <code>background</code> and its shorthand properties apply to each cue individually, to avoid creating boxes and obscuring unexpectedly large areas of the media.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Permitted_properties">Permitted properties</h2>

<p>Rules whose selectors include this element may only use the following CSS properties:</p>

<ul>
 <li><a href="/en-US/docs/Web/CSS/background"><code>background</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/background-attachment"><code>background-attachment</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/background-clip"><code>background-clip</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/background-color"><code>background-color</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/background-image"><code>background-image</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/background-origin"><code>background-origin</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/background-position"><code>background-position</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/background-repeat"><code>background-repeat</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/background-size"><code>background-size</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/color"><code>color</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/font"><code>font</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/font-family"><code>font-family</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/font-size"><code>font-size</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/font-stretch"><code>font-stretch</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/font-style"><code>font-style</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/font-variant"><code>font-variant</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/font-weight"><code>font-weight</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/line-height"><code>line-height</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/opacity"><code>opacity</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/outline"><code>outline</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/outline-color"><code>outline-color</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/outline-style"><code>outline-style</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/outline-width"><code>outline-width</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/ruby-position"><code>ruby-position</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/text-combine-upright"><code>text-combine-upright</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/text-decoration"><code>text-decoration</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/text-decoration-color"><code>text-decoration-color</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/text-decoration-line"><code>text-decoration-line</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/text-decoration-style"><code>text-decoration-style</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/text-decoration-thickness"><code>text-decoration-thickness</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/text-shadow"><code>text-shadow</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/visibility"><code>visibility</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/white-space"><code>white-space</code></a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebVTT", "#the-cue-region-pseudo-element", "the <code>::cue-region</code> pseudo-element")}}</td>
   <td>{{Spec2("WebVTT")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.cue-region")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other {{DOMxRef("WebVTT API", "WebVTT", "", 1)}} selectors:
  <ul>
   <li>{{CSSxRef("::cue")}}</li>
   <li>{{CSSxRef(":past")}}</li>
   <li>{{CSSxRef(":future")}}</li>
  </ul>
 </li>
</ul>
